Subject: BEAR Guarantee letter
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 21 Mar 2001 04:28:00 -0800 (PST)

Sara,

I just spoke with Russ Miron from Bear Sterans regarding our Guaranty to 
Reduce funding to 20% per side.

I had asked him about when they will be executing the agreement.  He said 
that his lawyers are ready to sign but are under the impression that you have 
one remaining point to resolve and that this point is holding up the 
finalization of the agreement.

Is there an issue from our side?  If not we should be able to get this 
execution taken care of immediately?

Thanks,

Tom
713-853-9074